<div class="wrap">
  <hr>
  <h3>エックスモバイル 販売店 初期設定登録</h3>
<?php /*echo get_option('shop_name'); ?>
<?php echo get_option('header_logo'); ?>
<?php echo get_option('image_plan'); */?>
  <form method="post" action="options.php">
<?php
  settings_fields( 'xmobile-settings-group' );
  do_settings_sections( 'xmobile-settings-group' );
?>
    <dl class="l-flex">
        <dt class="bold">ライセンスキー</dt>
        <dd><input type="text" id="lisence_key" class="regular-text" name="lisence_key" value="<?php echo get_option('lisence_key'); ?>"placeholder="※配布されたライセンスキーを入力します"></dd>
    </dl>

    <dl class="l-flex">
        <dt class="bold">販売店名</dt>
        <dd><input type="text" id="shop_name" class="regular-text" name="shop_name" value="<?php echo get_option('shop_name'); ?>"></dd>
    </dl>

    <dl class="l-flex">
        <dt class="bold">トップページのサービス名</dt>
        <dd><input type="text" id="shop_service" class="regular-text" name="shop_service" value="<?php echo get_option('shop_service'); ?>"></dd>
    </dl>

    <dl class="l-flex">
      <dt class="bold">郵便番号 "-"（ハイフン）を含む</dt>
      <dd><input type="text" id="addr_zip" class="regular-text" name="addr_zip" value="<?php echo get_option('addr_zip'); ?>"></dd>
    </dl>
    <p class="noti">※ページ最下部の住所を登録します。未記入の場合は非表示になります<br>例 012-3456</p>

    <dl class="l-flex">
      <dt class="bold">店舗住所</dt>
      <dd><input type="text" id="addr_adrs" class="regular-text" name="addr_adrs" value="<?php echo get_option('addr_adrs'); ?>"></dd>
    </dl>
    <p class="noti">※ページ最下部の住所を登録します。未記入の場合は非表示になります<br>例 東京都渋谷区神宮前*-*-**</p>

    <dl class="l-flex">
      <dt class="bold">店舗電話番号 "-"（ハイフン）を含む</dt>
      <dd><input type="text" id="addr_phone" class="regular-text" name="addr_phone" value="<?php echo get_option('addr_phone'); ?>"></dd>
    </dl>
    <p class="noti">※ページ最下部の店舗電話番号を登録します。未記入の場合は非表示になります<br>例 03-1234-5678</p>

    <dl class="l-flex">
      <dt class="bold">営業時間 "-"（ハイフン）を含む</dt>
      <dd><input type="text" id="addr_time" class="regular-text" name="addr_time" value="<?php echo get_option('addr_time'); ?>"></dd>
    </dl>
    <p class="noti">※ページ最下部の店舗営業時間を登録します。未記入の場合は非表示になります<br>例 10:00 - 19:00</p>

    <dl class="l-flex">
      <dt class="bold">COPYRIGHTS</dt>
      <dd><input type="text" id="copy_right" class="regular-text" name="copy_right" value="<?php echo get_option('copy_right'); ?>">. all right reserved.</dd>
    </dl>
    <p class="noti">※ページ最下部のコピーライト表示をします。未記入の場合は店舗名（<?php echo get_option('shop_name'); ?>）を表示します。</p>

    <dl class="l-flex">
      <dt class="bold">プライバシーポリシーで表記する<br>メールアドレス</dt>
      <dd><input type="text" id="mail_header" class="regular-text" name="mail_header" value="<?php echo get_option('mail_header'); ?>" placeholder="@より前のアドレスを入力します">＠<input type="text" id="mail_domain" class="regular-text" name="mail_domain" value="<?php echo get_option('mail_domain'); ?>" placeholder="@以降のアドレスを入力します"></dd>
    </dl>
    <p class="noti">※プライバシーポリシーで表示するメールアドレスの登録を行います。</p>

    <hr class="h-r">
    <h3>画像関連の設定</h3>
    <p class="noti">ページ左上のロゴや各ページで使用する最初に表示される画像を変更します<br>
    何も入力しない場合は備え付けの画像を表示します。</p>
    <dl class="l-flex">
      <dt class="bold">ヘッダーロゴ画像を入力</dt>
      <dd><input type="text" id="header_logo" class="regular-text" name="header_logo" value="<?php echo get_option('header_logo'); ?>" placeholder="/wp-contentから入力します"></dd>
    </dl>
    <p class="noti">ロゴの画像サイズは420px以上のサイズをアップロードしてください。</p>
    <dl class="l-flex">
      <dt class="bold">ヘッダーロゴURL確認</dt>
      <dd>
    <?php
      if (!get_option('header_logo') == "") {
          echo '<p class="check-image"><img src="'.get_option('header_logo').'"></p>';
      } else {
          echo '画像がアップロードされていないかURLが不正です。<a href="#upload">アップロードした画像のURL(アドレス）確認方法はこちら</a>をご覧ください';
      }
    ?>
      </dd>
    </dl>
    <p class="noti">自社のロゴ・ページ左上に入るロゴの設定（ヘッダーロゴ画像の設定）<br>
      <a href="/wp-admin/upload.php" class="bold">メディアライブラリ</a>にアップロードした画像のURL（アドレス）をコピーして貼り付けます
      <span class="bold">例：<?php echo esc_url(home_url('/')); ?>/wp-content/uploads/20**/**/****.jpg</span><br>
      <a href="#upload">アップロードした画像のURL(アドレス）確認方法はこちら</a>
    </p>

    <dl class="l-flex">
      <dt class="bold">料金プラン【テンプレート名：PLAN】で使用する見出し画像</dt>
      <dd><input type="text" id="image_plan" class="regular-text" name="image_plan" value="<?php echo get_option('image_plan'); ?>" placeholder="/wp-contentから入力します"></dd>
    </dl>
    <?php
      if (!get_option('image_plan') == "") {
          echo '<p class="check-image"><img src="'.get_option('image_plan').'"></p>';
      }
    ?>

    <dl class="l-flex">
      <dt class="bold">お客様の声【テンプレート名：USERS-VOICE】で使用する見出し画像</dt>
      <dd><input type="text" id="image_usersvoice" class="regular-text" name="image_usersvoice" value="<?php echo get_option('image_usersvoice'); ?>" placeholder="/wp-contentから入力します"></dd>
    </dl>
    <?php
      if (!get_option('image_usersvoice') == "") {
          echo '<p class="check-image"><img src="'.get_option('image_usersvoice').'"></p>';
      }
    ?>

    <dl class="l-flex">
      <dt class="bold">お問い合わせ【テンプレート名：CONTACT】で使用する見出し画像</dt>
      <dd><input type="text" id="image_contact" class="regular-text" name="image_contact" value="<?php echo get_option('image_contact'); ?>" placeholder="/wp-contentから入力します"></dd>
    </dl>
    <?php
    if (!get_option('image_contact') == "") {
      echo '<p class="check-image"><img src="'.get_option('image_contact').'"></p>';
    }
    ?>

    <dl class="l-flex">
      <dt class="bold">スマホお悩みQ＆A【テンプレート名：FAQ】で使用する見出し画像</dt>
      <dd><input type="text" id="image_faq" class="regular-text" name="image_faq" value="<?php echo get_option('image_faq'); ?>" placeholder="/wp-contentから入力します"></dd>
    </dl>
    <?php
    if (!get_option('image_faq') == "") {
      echo '<p class="check-image"><img src="'.get_option('image_faq').'"></p>';
    }
    ?>

    <dl class="l-flex">
        <dt class="bold">スタッフの紹介【テンプレート名：STAFF】で使用する見出し画像</dt>
        <dd><input type="text" id="image_staff" class="regular-text" name="image_staff" value="<?php echo get_option('image_staff'); ?>" placeholder="/wp-contentから入力します"></dd>
    </dl>
    <?php
      if (!get_option('image_staff') == "") {
          echo '<p class="check-image"><img src="'.get_option('image_staff').'"></p>';
      }
    ?>

    <dl class="l-flex">
      <dt class="bold">スタッフブログ・NEWS【テンプレート名：NEWS】で使用する見出し画像</dt>
      <dd><input type="text" id="image_blog" class="regular-text" name="image_blog" value="<?php echo get_option('image_blog'); ?>" placeholder="/wp-contentから入力します"></dd>
    </dl>
    <?php
      if (!get_option('image_blog') == "") {
          echo '<p class="check-image"><img src="'.get_option('image_blog').'"></p>';
      }
    ?>

    <dl class="l-flex">
      <dt class="bold">会社概要【テンプレート名：COMPANY】で使用する見出し画像</dt>
      <dd><input type="text" id="image_company" class="regular-text" name="image_company" value="<?php echo get_option('image_company'); ?>" placeholder="/wp-contentから入力します"></dd>
    </dl>
    <?php
      if (!get_option('image_company') == "") {
          echo '<p class="check-image"><img src="'.get_option('image_company').'"></p>';
      }
    ?>

    <dl class="l-flex">
      <dt class="bold">プライバシー・ポリシー【テンプレート名：PRIVACY-POLICY】で使用する見出し画像</dt>
      <dd><input type="text" id="image_privacy" class="regular-text" name="image_privacy" value="<?php echo get_option('image_privacy'); ?>" placeholder="/wp-contentから入力します"></dd>
    </dl>
    <?php
      if (!get_option('image_privacy') == "") {
          echo '<p class="check-image"><img src="'.get_option('image_privacy').'"></p>';
      }
    ?>


    <hr class="h-r">
    <h3>何か</h3>
    <?php submit_button(); ?>
    <p class="noti bold red">※画像を変更した際は、【変更を保存】ボタンを押した後、ペースト（貼り付けた）URLの下側に画像が表示されていることを確認してください。<br>
    </form>

    <div class="note">
    <p id="googleAPI" class="bold">GoogleMap APIキーの取得方法</p>
    <p class="sentence">
      ・<a href="https://cloud.google.com/maps-platform/maps/" target="_blank">こちらのGoogle Maps Platform</a>で登録をしていきます。<br>
      ・詳しい操作手順は<a href="https://www.zenrin-datacom.net/business/gmapsapi/api_key/index.html" target="_blank">こちらのGoogle Maps APIキーの設定手順</a>を参考にしてください。<br>
      ・ステップ３の"アプリケーションの制限"はIP アドレスに設定し、以下のアドレスを追加します。<br>
      ・<?php echo esc_url(home_url('/')); ?><br>
      ・<?php echo esc_url(home_url('/company/')); ?><br>
      ・https （SSL接続）が反映されていない場合、上記のアドレスがhttp://の表記になっていますので反映されるまでお待ちください。※SSL設定をされない場合はこのままコピーして貼り付けます。<br>
      ・<span class="bold">YOUR_API_KEYあなたが取得された英数字の文字列</span>をコピーしたらこのページのGoogle maps API キー　入力欄に貼り付けます。<br>
      ・最後に変更を保存ボタンを押したら終了です。実際に表示されているか確認してください。<br>
    </p>


    <p id="upload" class="bold">アップロードした画像のURL(アドレス）確認方法</p>
    <p class="sentence"><a href="/wp-admin/upload.php">メディアライブラリ</a>にアップロードした画像（ロゴや写真）一覧の中で指定したい画像をクリックします。<br>
    "代替テキスト"、"タイトル"、"キャプション"、"説明"、"アップロード"、"リンクをコピー"と表示されますので、"リンクをコピー"右のURL（アドレス）をコピーします。<br>
    各入力欄の指定場所へペースト（貼り付け）したら【  <span class="bold"><?php echo esc_url(home_url('/')); ?></span>  】左記のURL（アドレス）は消してください。<span class="bold red">画像が表示されなくなることがあります</span><br>
    貼り付けが終わりましたら上にある変更を保存ボタンを押して終了・保存してください。
    </p>
  </div>
</div>




