<?php  wp_head(); get_header();  /* Template Name: COMPANY */?>
<body id="corporate" class="company">
<?php get_template_part('includes/common','header'); ?>
  <main>
    <div class="cross-label">
        <div class="back-label"></div>
        <p class="page-title r-15"><?php echo get_the_title(); ?></p>
        <div class="front-label"><p class="background-image"><img src="<?php
        if (!get_option('image_company') == "") {
          echo get_option('image_company');
        } else {
          echo '/wp-content/themes/xmobile/assy/images/staff/main-visual.jpg';
        }
        ?>" alt="<?php echo get_the_title(); ?>"></p></div>
        <nav class="bread-crumb">
            <ol itemscope itemtype="http://schema.org/BreadcrumbList">
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo esc_url(home_url('/')); ?>"><span itemprop="name">トップ</span></a>
                <meta itemprop="position" content="1" />
            </li>
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo get_the_permalink();?>"><span itemprop="name"><?php echo get_the_title(); ?></span></a>
                <meta itemprop="position" content="2" />
            </li>
            </ol>
        </nav>
    </div>

    <article class="post-content">
        <h2 class="page-header"><?php echo get_the_title(); ?></h2>
        <div class="page-description"><?php echo get_option('shop_name'); ?>の会社情報を掲載しております</div>

        <div class="company-detail">
<?php /* SHOP MASTER */
  $args = array('category_name'=> 'company-info','orderby' => 'date','order' => 'ASC');
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
          <dl><dt><?php the_title(); ?></dt><dd><?php remove_filter ('the_content', 'wpautop'); the_content();?></dd></dl>
<?php endforeach; wp_reset_postdata();?>
        </div>
        </article>

        <article id="access">
          <div class="content-cross foundation">
            <div class="content-cross background"><span class="background-maps"><?php echo do_shortcode('[wpgmza id="1"]'); ?></span></div>
            <h3 class="content-cross header">ACCESS<br><?php echo get_option('shop_name'); ?>へのアクセス</h3>
          </div>
        </article>

<?php /* ARTICLE INTRODUCTION */ include('./wp-content/themes/xmobile/includes/common-staff.php'); ?>

  </main>

<?php get_template_part('includes/common','footer'); ?>
  <script src="/wp-content/themes/xmobile/assy/js/common.js"></script>
  <script src="/wp-content/themes/xmobile/assy/js/faq.js"></script>
<?php get_footer();?>
