<?php  wp_head(); get_header();  /* Template Name: CONTACT */?>
<body id="corporate" class="contact">
<?php get_template_part('includes/common','header'); ?>
  <main>
    <div class="cross-label">
        <div class="back-label"></div>
        <p class="page-title r-15"><?php echo get_the_title(); ?></p>
        <div class="front-label"><p class="background-image"><img src="<?php
        if (!get_option('image_contact') == "") {
          echo get_option('image_contact');
        } else {
          echo '/wp-content/themes/xmobile/assy/images/staff/main-visual.jpg';
        }
        ?>" alt="<?php echo get_the_title(); ?>"></p></div>
        <nav class="bread-crumb">
            <ol itemscope itemtype="http://schema.org/BreadcrumbList">
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo esc_url(home_url('/')); ?>"><span itemprop="name">トップ</span></a>
                <meta itemprop="position" content="1" />
            </li>
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo get_the_permalink();?>"><span itemprop="name"><?php echo get_the_title(); ?></span></a>
                <meta itemprop="position" content="2" />
            </li>
            </ol>
        </nav>
    </div>

    <article id="contact" class="confined-content">
      <h2 class="page-header"><?php echo get_the_title(); ?></h2>
      <p class="page-description"><?php echo get_option('shop_name'); ?>へのご質問・お問い合わせは下記フォームよりご連絡ください。<br>*は必須項目となります</p>

      <div class="contact-wrap">
<?php echo do_shortcode('[contact-form-7 id="15" title="contact"]'); ?>
      </div>
    </article>




  </main>

<?php get_template_part('includes/common','footer'); ?>
    <script src="/wp-content/themes/xmobile/assy/js/common.js"></script>
    <script src="/wp-content/themes/xmobile/assy/js/contact.js"></script>
<?php get_footer();?>
