<?php  wp_head(); get_header();  /* Template Name: PAGE */?>
<body id="corporate" class="corporate faq">
<?php get_template_part('includes/common','header'); ?>
  <main>
    <div class="cross-label">
        <div class="back-label"></div>
        <p class="page-title r-15"><?php echo get_the_title(); ?></p>
        <div class="front-label"><p class="background-image faq"></p></div>
        <nav class="bread-crumb">
            <ol itemscope itemtype="http://schema.org/BreadcrumbList">
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo esc_url(home_url('/')); ?>"><span itemprop="name">トップ</span></a>
                <meta itemprop="position" content="1" />
            </li>
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo get_the_permalink();?>"><span itemprop="name"><?php echo get_the_title(); ?></span></a>
                <meta itemprop="position" content="2" />
            </li>
            </ol>
        </nav>
    </div>

    <article class="confined-content">
        <h2 class="page-header">デモページ用・ページ一覧</h2>
        <p class="page-description">エックスモバイルテンプレートページ一覧と動画マニュアルを掲載しています。</p>

        <ul class="demo-page">
          <li><a href="<?php echo esc_url(home_url('/'));?>" target="_blank">HOME</a></li>
          <li><a href="<?php echo esc_url(home_url('/staff-weblog/'));?>" target="_blank">ニュース・スタッフブログ</a></li>
          <li><a href="<?php echo esc_url(home_url('/2020/01/13/エックスモバイル・公式代々木上原店のwebサイト/'));?>" target="_blank">ニュース・スタッフブログ・記事詳細ページ（参考記事）</a></li>
          <li><a href="<?php echo esc_url(home_url('/plan/'));?>" target="_blank">料金プラン</a></li>
          <li><a href="<?php echo esc_url(home_url('/users-voice/'));?>" target="_blank">お客様の声</a></li>
          <li><a href="<?php echo esc_url(home_url('/faq/'));?>" target="_blank">よくあるご質問</a></li>
          <li><a href="<?php echo esc_url(home_url('/staff/'));?>" target="_blank">スタッフ紹介</a></li>
          <li><a href="<?php echo esc_url(home_url('/contact/'));?>" target="_blank">お問い合わせ</a></li>
          <li><a href="<?php echo esc_url(home_url('/company/')); ?>" target="_blank">会社情報</a></li>
          <li><a href="<?php echo esc_url(home_url('/privacy-policy/')); ?>" target="_blank">プライバシー・ポリシー</a></li>
          <li>- - - - 動画マニュアル - - - - </li>
          <li><a href="https://youtu.be/Ql_UbJSQM4o" target="_blank">ログイン方法と写真アップロード方法</a></li>
          <li><a href="https://youtu.be/6EnwUgecPCg" target="_blank">様々な記事（お客様の声・FAQ・スタッフブログ等）の投稿方法</a></li>
          <li><a href="https://youtu.be/TollUjyEFRU" target="_blank">NEWS BLOG記事の投稿方法</a></li>
          <li><a href="https://youtu.be/v3wtbV6z2ps" target="_blank">社員紹介の投稿方法</a></li>
        </ul>
        
    </article>
  </main>

<?php get_template_part('includes/common','footer'); ?>
    <script src="/wp-content/themes/xmobile/assy/js/common.js"></script>
    <script src="/wp-content/themes/xmobile/assy/js/faq.js"></script>
<?php get_footer();?>
