<?php  wp_head(); get_header();  /* Template Name: PLAN */?>
<body id="corporate" class="price">
<?php get_template_part('includes/common','header'); ?>
  <main>
    <div class="cross-label">
      <div class="back-label"></div>
      <p class="page-title r-15"><?php echo get_the_title(); ?></p>
      <div class="front-label"><p class="background-image"><img src="<?php
        if (!get_option('image_plan') == "") {
          echo get_option('image_plan');
        } else {
          echo '/wp-content/themes/xmobile/assy/images/staff/main-visual.jpg';
        }
        ?>" alt="<?php echo get_the_title(); ?>"></p></div>
      <nav class="bread-crumb">
        <ol itemscope itemtype="http://schema.org/BreadcrumbList">
        <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
          <a itemprop="item" href="<?php echo esc_url(home_url('/')); ?>"><span itemprop="name">トップ</span></a>
          <meta itemprop="position" content="1" />
        </li>
        <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
          <a itemprop="item" href="<?php echo get_the_permalink();?>"><span itemprop="name"><?php echo get_the_title(); ?></span></a>
          <meta itemprop="position" content="2" />
        </li>
        </ol>
      </nav>
    </div>

    <article id="content-price">
      <h2 class="page-header"><?php echo get_the_title(); ?></h2>
      <p class="page-description">格安携帯SIM・スゴい電話・限界突破Wi-Fiの各種料金のご案内をしております。</p>

      <ul id="switch-category">
        <li class="button-sim current">格安携帯SIM</li>
        <li class="button-wifi">限界突破Wi-Fi</li>
      </ul>

      <div class="background-wrap">
        <div class="wrap-1200">
          <div class="content-sim current">

            <?php the_content(); ?>

          </div>

          <div class="content-wifi">
            <p class="plan-title">エックスモバイル通信容量 無制限プラン</p>
            <p class="sub-title">限界突破Wi-Fiの料金表</p>
            <p class="price-image"><img src="/wp-content/themes/xmobile/assy/images/plan/plan_wifi.png" alt="限界突破Wi-Fiの料金表"></p>
            <div class="annotation">
              <p>本体無料、事務手数料無料、ネット無制限、海外利用可能<span class="note">※2</span></p>
              <p><span class="note">※2 海外利用時は別途料金が発生致します。</span></p>
            </div>
            <figure class="wp-block-image size-full"><img src="/wp-content/themes/xmobile/assy/images/plan/plan_wifi.png" alt="限界突破Wi-Fiの料金表"></figure>
          </div>

        </div>
      </div>
    </article>

  </main>

<?php get_template_part('includes/common','footer'); ?>
    <script src="/wp-content/themes/xmobile/assy/js/common.js"></script>
    <script src="/wp-content/themes/xmobile/assy/js/price.js"></script>
 <?php get_footer();?>
