<?php  wp_head(); get_header();  /* Template Name: USERS-VOICE */?>
<body id="corporate" class="users-voice">
<?php get_template_part('includes/common','header'); ?>
  <main>
    <div class="cross-label">
        <div class="back-label"></div>
        <p class="page-title r-15"><?php echo get_the_title(); ?></p>
        <div class="front-label"><p class="background-image"><img src="<?php
        if (!get_option('image_usersvoice') == "") {
          echo get_option('image_usersvoice');
        } else {
          echo '/wp-content/themes/xmobile/assy/images/faq/main-visual.jpg';
        }
        ?>" alt="<?php echo get_the_title(); ?>"></p></div>
        <nav class="bread-crumb">
            <ol itemscope itemtype="http://schema.org/BreadcrumbList">
                <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                    <a itemprop="item" href="<?php echo esc_url(home_url('/')); ?>"><span itemprop="name">トップ</span></a>
                    <meta itemprop="position" content="1" />
                </li>
                <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                    <a itemprop="item" href="<?php echo get_the_permalink();?>"><span itemprop="name"><?php echo get_the_title(); ?></span></a>
                    <meta itemprop="position" content="2" />
                </li>
            </ol>
        </nav>
    </div>

    <article class="content-users-voice">
        <h2 class="page-header"><?php echo get_the_title(); ?></h2>
        <p class="page-description">エックスモバイルへお越し頂いたお客様、ご契約頂いたお客様の感想やご要望等を掲載しております</p>

        <ul id="after-fixed-tab">
            <li><a class="button-sim">格安携帯（SIM）</a></li>
            <li><a class="button-phone">スゴい電話</a></li>
            <li><a class="button-wifi current">限界突破Wi-Fi</a></li>
        </ul>

        <ul id="category-content" class="category-sim">
<?php /* LATEST POST */
  $args = array('category_name'=> 'sim');
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
            <li id="<?php the_title(); ?>">
                <div class="front-label"><p class="background-image"><img src="<?php echo catch_that_image(); ?>" class="article_background" alt="<?php the_title(); ?>"></p></div>

                <div class="user-wrap">
                  <div class="rectangle-voice">
                    <p class="voice-title"><?php the_title(); ?></p>
                    <div class="sentence"><?php remove_filter('the_content', 'wpautop'); the_content(); ?></div>
                    <p class="profile"><?php $key="profile"; echo get_post_meta($post->ID, $key, true); ?></p>
                  </div>
<?php
$key = "uv-youtube";
$value = get_post_meta($post->ID, $key, true);
if (!$value == "") { ?>
                  <div class="youtube-wrap">
                    <iframe src="https://www.youtube.com/embed/<?php echo($value); ?>?controls=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                  </div>
<?php }; ?>
                </div>
            </li>
<?php endforeach; wp_reset_postdata();?>
        </ul>


        <ul id="category-content" class="category-phone">
<?php /* LATEST POST */
  $args = array('category_name'=> 'phone');
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
            <li id="<?php the_title(); ?>">
                <div class="front-label"><p class="background-image"><img src="<?php echo catch_that_image(); ?>" class="article_background" alt="<?php the_title(); ?>"></p></div>

                <div class="user-wrap">
                  <div class="rectangle-voice">
                    <p class="voice-title"><?php the_title(); ?></p>
                    <div class="sentence"><?php remove_filter('the_content', 'wpautop'); the_content(); ?></div>
                    <p class="profile"><?php $key="profile"; echo get_post_meta($post->ID, $key, true); ?></p>
                  </div>
<?php
$key = "uv-youtube";
$value = get_post_meta($post->ID, $key, true);
if (!$value == "") { ?>
                  <div class="youtube-wrap">
                    <iframe src="https://www.youtube.com/embed/<?php echo($value); ?>?controls=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                  </div>
<?php }; ?>
                </div>
            </li>
<?php endforeach; wp_reset_postdata();?>
        </ul>


        <ul id="category-content" class="category-wifi current">
<?php /* LATEST POST */
  $args = array('category_name'=> 'wifi');
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
            <li id="<?php the_title(); ?>">
                <div class="front-label"><p class="background-image"><img src="<?php echo catch_that_image(); ?>" class="article_background" alt="<?php the_title(); ?>"></p></div>

                <div class="user-wrap">
                  <div class="rectangle-voice">
                    <p class="voice-title"><?php the_title(); ?></p>
                    <div class="sentence"><?php remove_filter('the_content', 'wpautop'); the_content(); ?></div>
                    <p class="profile"><?php $key="profile"; echo get_post_meta($post->ID, $key, true); ?></p>
                  </div>
<?php
$key = "uv-youtube";
$value = get_post_meta($post->ID, $key, true);
if (!$value == "") { ?>
                  <div class="youtube-wrap">
                    <iframe src="https://www.youtube.com/embed/<?php echo($value); ?>?controls=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                  </div>
<?php }; ?>
                </div>
            </li>
<?php endforeach; wp_reset_postdata();?>
        </ul>


    </article>
  </main>

<?php get_template_part('includes/common','footer'); ?>
    <script src="/wp-content/themes/xmobile/assy/js/common.js"></script>
    <script src="/wp-content/themes/xmobile/assy/js/usersvoice.js"></script>
<?php get_footer();?>
