<?php  wp_head(); get_header();  /* Template Name: NEWS */?>
<body id="corporate" class="weblog">
<?php get_template_part('includes/common','header'); ?>
  <main>
    <div class="cross-label">
        <div class="back-label"></div>
        <p class="page-title r-15"><?php echo get_the_title(); ?></p>
        <div class="front-label"><p class="background-image"><img src="<?php
        if (!get_option('image_blog') == "") {
          echo get_option('image_blog');
        } else {
          echo '/wp-content/themes/xmobile/assy/images/staff/main-visual.jpg';
        }
        ?>" alt="<?php echo get_the_title(); ?>"></p></div>
        <nav class="bread-crumb">
            <ol itemscope itemtype="http://schema.org/BreadcrumbList">
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo esc_url(home_url('/')); ?>"><span itemprop="name">トップ</span></a>
                <meta itemprop="position" content="1" />
            </li>
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo get_the_permalink();?>"><span itemprop="name"><?php echo get_the_title(); ?></span></a>
                <meta itemprop="position" content="2" />
            </li>
            </ol>
        </nav>
    </div>

    <article class="post-content">
        <h2 class="page-header"><?php echo get_the_title(); ?></h2>
        <div class="page-description"><?php if (have_posts()) : while(have_posts()) : the_post(); ?><?php remove_filter('the_content', 'wpautop'); the_content(); ?><?php endwhile;?><?php endif; ?></div>

        <ul class="card-list">
<?php
  $the_query = new WP_Query(array(
    'paged'           => get_query_var('paged')?absint(get_query_var('paged')):1,
    'posts_per_page'  => 6,
    'category_name'   => 'news',
    'post_type'       => 'post'
  ));
  if($the_query->have_posts()) while($the_query->have_posts()):$the_query->the_post();
?>
          <li>
            <a href="<?php the_permalink();?>" class="card-link">
              <span class="card-image"><img src="<?php echo catch_that_image(); ?>" alt="<?php the_title(); ?>"></span>
              <span class="date"><?php the_date(); ?></span>
              <span class="title"><?php the_title(); ?></span>
            </a>
          </li>
<?php endwhile; ?>
        </ul>
<?php
  // OUTPUT PAGE NATION
  $GLOBALS['wp_query']->max_num_pages = $the_query->max_num_pages;
  $args = array(
    'prev_text' => __( '', 'textdomain' ),
    'next_text' => __( '', 'textdomain' ),
    'type'      => 'list',
    'end_size'  => '1',
    'mid_size'  => '1',
  );
  the_posts_pagination($args);
  wp_reset_postdata();

  // echo $the_query->max_num_pages;
?>
    </article>

  </main>

<?php get_template_part('includes/common','footer'); ?>
    <script src="/wp-content/themes/xmobile/assy/js/common.js"></script>
    <script src="/wp-content/themes/xmobile/assy/js/faq.js"></script>
<?php get_footer();?>
