<?php wp_head(); get_header();  /* Template Name: SINGLE */?>
<body id="corporate" class="is-single ready">
<?php get_template_part('includes/common','header'); ?>
  <main>
  <div class="cross-label">
        <div class="back-label"></div>
        <p class="page-title r-15">FAQ・よくあるご質問</p>
        <div class="front-label"><p class="background-image faq"></p></div>
        <nav class="bread-crumb">
            <ol itemscope itemtype="http://schema.org/BreadcrumbList">
                <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                    <a itemprop="item" href="<?php echo esc_url(home_url('/')); ?>"><span itemprop="name">トップ</span></a>
                    <meta itemprop="position" content="1" />
                </li>
                <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                    <a itemprop="item" href="<?php echo esc_url(home_url('/faq')); ?>"><span itemprop="name">FAQ・よくあるご質問</span></a>
                    <meta itemprop="position" content="1" />
                </li>
                <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                    <a itemprop="item" href="<?php echo get_the_permalink();?>"><span itemprop="name"><?php echo get_the_title(); ?></span></a>
                    <meta itemprop="position" content="2" />
                </li>
            </ol>
        </nav>
    </div>

    <article id="single-wrap" class="confined-content faq-single">
<?php if (have_posts()) : ?><?php while (have_posts()) : the_post(); ?>
      <h2 class="page-header"><?php echo the_title(); ?></h2>
      <div class="sentence"><?php echo the_content(); ?></div>
<?php endwhile; endif;?>
      <div class="return"><a href="<?php echo esc_url(home_url('/faq/')); ?>">よくあるご質問一覧へ</a></div>
    </article>
  </main>
  <?php get_template_part('includes/common','footer'); ?>
  <script src="/wp-content/themes/xmobile/assy/js/common.js"></script>
  <script src="/wp-content/themes/xmobile/assy/js/faq.js"></script>
<?php get_footer(); ?>
